## kmscube 0.0.0~git20210103

=== meson_options.txt ===
option(
  'gstreamer',
  type : 'feature',
  description : 'Enable support for gstreamer and cube-video'
)

## kmscube 0.0.0~git20170508

=== debian/changelog ===
kmscube (0.0.0~git20170508-1) unstable; urgency=medium

  * Initial release (Closes: #886648)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Jan 2018 11:49:45 +0100

=== debian/control ===
Source: kmscube
Section: graphics
Priority: optional
Maintainer: Guido Günther <agx@sigxcpu.org>
Build-Depends: debhelper (>= 10),
  libdrm-dev,
  libgbm-dev,
  libgles2-mesa-dev,
  pkg-config,
Standards-Version: 4.1.3
Homepage: https://cgit.freedesktop.org/mesa/kmscube/

Package: kmscube
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Example KMS/GBM/EGL application
 kmscube is an example application that displays a rotating cube to
 demonstrate the usage of KMS, GBM and EGL. It can be used to
 test kernel mode setting and Mesas DRM drivers.

## kmscube 0.0.0~git20170617

=== debian/changelog ===
kmscube (0.0.0~git20170617-2) unstable; urgency=medium

  [ Guido Günther ]
  * [c49cc28] Add Vcs-* URLs

  [ Nicolas Dechesne ]
  * [7ab1ee1] debian: Add Build-Depends on Gstreamer to enable video support

 -- Guido Günther <agx@sigxcpu.org>  Fri, 06 Jul 2018 19:11:01 +0200

kmscube (0.0.0~git20170617-1) unstable; urgency=medium

  * New upstream snapshot

 -- Guido Günther <agx@sigxcpu.org>  Wed, 27 Jun 2018 18:17:35 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,13 @@
   libdrm-dev,
   libgbm-dev,
   libgles2-mesa-dev,
+  libgstreamer1.0-dev,
+  libgstreamer-plugins-base1.0-dev,
   pkg-config,
 Standards-Version: 4.1.3
 Homepage: https://cgit.freedesktop.org/mesa/kmscube/
+Vcs-Git: https://salsa.debian.org/agx/kmscube.git
+Vcs-Browser: https://salsa.debian.org/agx/kmscube
 
 Package: kmscube
 Architecture: any

## kmscube 0.0.0~git20210103

=== debian/changelog ===
kmscube (0.0.0~git20210103-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:02:13 +1100

kmscube (0.0.0~git20210103-1build1) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:00:17 +0000

kmscube (0.0.0~git20210103-1) unstable; urgency=medium

  * New upstream git snapshot
    (Closes: #961794)
  * d/control: Build-depend on meson.
    now be used as a build system
  * d/control: Build-depend on libpng-dev
  * d/control: Add explicit glib-2.0 build-dep
  * d/control: Bump standards version to 4.5.1
  * Switch to dh 13
  * debian: Add salsa-ci

 -- Guido Günther <agx@sigxcpu.org>  Sun, 03 Jan 2021 15:42:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,19 @@
 Source: kmscube
 Section: graphics
 Priority: optional
-Maintainer: Guido Günther <agx@sigxcpu.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guido Günther <agx@sigxcpu.org>
+Build-Depends: debhelper-compat (= 13),
   libdrm-dev,
   libgbm-dev,
   libgles2-mesa-dev,
+  libglib2.0-dev,
   libgstreamer1.0-dev,
   libgstreamer-plugins-base1.0-dev,
+  libpng-dev,
+  meson,
   pkg-config,
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Homepage: https://cgit.freedesktop.org/mesa/kmscube/
 Vcs-Git: https://salsa.debian.org/agx/kmscube.git
 Vcs-Browser: https://salsa.debian.org/agx/kmscube
